[ruby-opengl-devel] New build error

John Gabriele jmg3000 at gmail.com
Thu Aug 31 23:25:05 EDT 2006


On 8/31/06, Robert Krimen <grin.k1tt3n at gmail.com> wrote:
>[snip]
>
> === running default in ext/glut
> cd ext/glut
> rake default
> (in /home/rob/develop/ruby-opengl/ext/glut)
> swig -I/usr/include -ruby glut.i
> glut.i:35: Error: Unable to find 'GL/freeglut_std.h'
> rake aborted!
> Command failed with status (1): [swig -I/usr/include -ruby glut.i]
> /home/rob/develop/ruby-opengl/ext/glut/rakefile:40
> (See full trace by running task with --trace)
> rake aborted!
> Command failed with status (1): [rake default]
> /home/rob/develop/ruby-opengl/rakefile:58:in `sub_rake'
> (See full trace by running task with --trace)
>
>
> It's assuming that I have freeglut, which isn't the case...

Hi Robert. Yes, it's a SWIG glut work-around put in place just for the
time being. You can probably build fine if you change
GL/freeglut_std.h to GL/glut.h in that glut.i file.

Just curious, which OS/distro are you using?

Thanks,
---John


More information about the ruby-opengl-devel mailing list